REM ----- GC/ENTRY.BAS ---- GREAT CIRCLE ENTRY USING DISK FILES ------
500	CONSOLE
	PRINT CHR$(26)     :rem ---- Erase Screen
     REM ----- Screen #1, Entry Menu -------
	PRINT FNCR$(4,8);"GREAT CIRCLE DISTANCE AND HEADINGS"
	PRINT FNCR$(6,12);"Enter Originating Location"
	PRINT FNCR$(8,4);"Make entry of City & State using ONE comma."
	PRINT FNCR$(10,8);"City, State: ____________________"
	PRINT FNCR$(10,21);: INPUT LINE PL1$
	PRINT FNCR$(14,4);"Enter name of source file: ";
	INPUT LINE Q4$
	PRINT FNCR$(14,4);"Do you want a personalized cover? (Y or N): ";
	INPUT Q2$
	   IF Q2$="y" THEN Q2$="Y"
	   IF Q2$<>"Y" THEN GOTO 502
	PRINT FNCR$(16,8);"Enter the callsign of the station: ";
	INPUT LINE SIGN$
502	PRINT FNCR$(14,4);"   Enter coordinates for ";PL1$;"              "
	PRINT FNCR$(16,0);"Latitude:  Degrees  ___, Minutes  __, Seconds  __, N/S  _"
	PRINT FNCR$(18,0);"Longitude: Degrees  ___, Minutes  __, Seconds  __, E/W  _"
	PRINT FNCR$(16,18);
	INPUT DEG1
	PRINT FNCR$(16,32);
	INPUT MIN1
	PRINT FNCR$(16,45);
	INPUT SEC1
	PRINT FNCR$(16,54);
	INPUT H1$
	PRINT FNCR$(18,18);
	INPUT DEG3
	PRINT FNCR$(18,32);
	INPUT MIN3
	PRINT FNCR$(18,45);
	INPUT SEC3
	PRINT FNCR$(18,54);
	INPUT H3$
	LAT1= FNDMS(DEG1,MIN1,SEC1)
	   IF H1$="s" THEN H1$="S"
	LON1= FNDMS(DEG3,MIN3,SEC3)
	   IF H3$="w" THEN H3$="W"
	   IF H1$="S" AND D=1 THEN LAT1= LAT1*(-1)
	   IF H3$="W" AND D=1 THEN LON1= LON1*(-1)
	PRINT FNCR$(8,4);"                  TO                        "
	PRINT FNCR$(14,4);"     The"
